Package com.google.protobuf

# Interface DescriptorProtos.FeatureSetOrBuilder

All Superinterfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FeatureSet>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.FeatureSet`, `DescriptorProtos.FeatureSet.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.FeatureSetOrBuilder extends GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FeatureSet>

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.FeatureSet.EnumType`
`getEnumType()`
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.FieldPresence`
`getFieldPresence()`
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.JsonFormat`
`getJsonFormat()`
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.MessageEncoding`
`getMessageEncoding()`
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.RepeatedFieldEncoding`
`getRepeatedFieldEncoding()`
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.Utf8Validation`
`getUtf8Validation()`
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasEnumType()`
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasFieldPresence()`
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasJsonFormat()`
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasMessageEncoding()`
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasRepeatedFieldEncoding()`
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`boolean`
`hasUtf8Validation()`
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ...`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasFieldPresence

boolean hasFieldPresence()
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  Whether the fieldPresence field is set.

### getFieldPresence

DescriptorProtos.FeatureSet.FieldPresence getFieldPresence()
`optional .google.protobuf.FeatureSet.FieldPresence field_presence = 1 [json_name = "fieldPresence", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  The fieldPresence.

### hasEnumType

boolean hasEnumType()
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  Whether the enumType field is set.

### getEnumType

DescriptorProtos.FeatureSet.EnumType getEnumType()
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  The enumType.

### hasRepeatedFieldEncoding

boolean hasRepeatedFieldEncoding()
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  Whether the repeatedFieldEncoding field is set.

### getRepeatedFieldEncoding

DescriptorProtos.FeatureSet.RepeatedFieldEncoding getRepeatedFieldEncoding()
`optional .google.protobuf.FeatureSet.RepeatedFieldEncoding repeated_field_encoding = 3 [json_name = "repeatedFieldEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  The repeatedFieldEncoding.

### hasUtf8Validation

boolean hasUtf8Validation()
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  Whether the utf8Validation field is set.

### getUtf8Validation

DescriptorProtos.FeatureSet.Utf8Validation getUtf8Validation()
`optional .google.protobuf.FeatureSet.Utf8Validation utf8_validation = 4 [json_name = "utf8Validation", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  The utf8Validation.

### hasMessageEncoding

boolean hasMessageEncoding()
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  Whether the messageEncoding field is set.

### getMessageEncoding

DescriptorProtos.FeatureSet.MessageEncoding getMessageEncoding()
`optional .google.protobuf.FeatureSet.MessageEncoding message_encoding = 5 [json_name = "messageEncoding", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_FIELD, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  The messageEncoding.

### hasJsonFormat

boolean hasJsonFormat()
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  Whether the jsonFormat field is set.

### getJsonFormat

DescriptorProtos.FeatureSet.JsonFormat getJsonFormat()
`optional .google.protobuf.FeatureSet.JsonFormat json_format = 6 [json_name = "jsonFormat", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_MESSAGE, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ... }`

Returns:
  The jsonFormat.